# Generated from mail-iso-2022-jp-2.0.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mail-iso-2022-jp

Name: rubygem-%{gem_name}
Version: 2.0.9
Release: 1%{?dist}
Summary: A set of patches that provides 'mail' gem with iso-2022-jp conversion capability
License: MIT
URL: https://github.com/kuroda/mail-iso-2022-jp
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(actionmailer) >= 3.0.0
# BuildRequires: rubygem(actionmailer) < 7.0
BuildArch: noarch

%description
A set of patches for mikel's mail gem. With this, you can easily send and
receive mails with ISO-2022-JP enconding (so-called 'JIS-CODE').


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 2.0.9-1
- Initial package
